package com.galaxis.soap.wms.obj;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class WMS_KUNNR_IN_20 {
    //预约单号
    private String doc_no;
    //仓库编号
    private String wh_code;
    //公司代码
    private String owner_code;
    //供应商ELS账号
    private String to_els_account;
    //供应商编码
    private String supplier_code;
    //供应商名称
    private String supplier_name;
    //预约到货开始时间
    private Date book_delivery_date;
    //预约到货结束时间
    private Date book_arrive_date;
    //司机姓名
    private String driver_name;
    //司机电话
    private String driver_tel_phone;
    //司机车牌
    private String driver_car_no;
    //供应商预约人
    private String supplier_principal;
    //供应商预约人电话
    private String supplier_principal_phone;
    //收货地址
    private String address;
    //需方备注
    private String purchase_remark;
    //供方备注
    private String supplier_remark;
    //物流确认开始时间
    private Date carry_confirm_start_time;
    //物流确认结束时间
    private Date carry_confirm_end_time;
    //创建人
    private String create_by;
    //创建时间
    private Date create_time;
    //预约单行号
    private String doc_line_no;
    //订单号
    private String order_no;
    //订单行号
    private String order_line_no;
    //送货安排
    private String delivery_arrange;
    //公司代码
    private String company;
    //采购组织
    private String purchase_org;
    //物料编码
    private String item_code;
    //供应商物料编码
    private String supplier_item_code;
    //物料描述
    private String item_desc;
    //物料规格
    private String item_spec;
    //物料组
    private String item_group;
    //物料组名称
    private String item_group_name;
    //送达时间
    private Date arrive_time;
    //卸货完成时间
    private Date finish_time;
    //订单要求交期
    private Date order_require_date;
    //采购组
    private String purchase_group;
    //拒绝原因
    private String reject_reason;
    //订单数量
    private BigDecimal order_qty;
    //送货预约数量
    private BigDecimal book_qty;
    //件数
    private BigDecimal piece;
    //预约未收数量
    private BigDecimal book_not_qty;
    //预约收货数量
    private BigDecimal book_receipt_qty;
    //预约在途数量
    private BigDecimal book_onway_qty;
    //预约交收数量
    private BigDecimal book_delivery_qty;

}
